LEIA Docs

Poll PDF export job status

GET
/pdf-exports/jobs/{jobId}

Polls the status of an active course PDF export job.

Authorization

AuthorizationBearer <token>

LEIA API key passed as Bearer token (recommended). Keys start with leia_sk_.

In: header

Path Parameters

jobId*string

The PDF export job ID

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/pdf-exports/jobs/string"
{
  "id": "string",
  "status": "QUEUED",
  "progress": 0,
  "result": {
    "downloadUrl": "http://example.com",
    "lessonCount": 0,
    "downloadFileName": "string",
    "downloadKind": "pdf",
    "error": "string"
  },
  "createdAt": "2019-08-24T14:15:22Z",
  "completedAt": "2019-08-24T14:15:22Z"
}
{
  "error": {
    "code": "UNAUTHORIZED",
    "message": "Valid LEIA API key required"
  }
}

{
  "error": {
    "code": "FORBIDDEN",
    "message": "API key service user must be a CREATOR user"
  }
}

{
  "error": {
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}